<?php


return  
    [
        'model' => [
            'model' => \Chemtech\Test\Models\Condition::class,
            'table' => 'chemtech_test_conditions',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'created_at', 'updated_at'],
            'appends' => [],
            'fillable' => ['user_id',  'type',  'name',  'reference',  'timeframe',  'user_type'],
            'translatables' => [],
            'upload_folder' => 'test/condition',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            [
                "key" => "type", 
                "type" => "text", 
                "label" => 'test::condition.label.type', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "name", 
                "type" => "text", 
                "label" => 'test::condition.label.name', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "reference", 
                "type" => "text", 
                "label" => 'test::condition.label.reference', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "timeframe", 
                "type" => "text", 
                "label" => 'test::condition.label.timeframe', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "marking", 
                "type" => "text", 
                "label" => 'test::condition.label.marking', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            [
                "key" => 'type',
                "element" => 'radios',
                "type" => 'radios',
                "label" => 'test::condition.label.type',
                "placeholder" => 'test::condition.placeholder.type',
                "rules" => '',
                "options" => function(){
                    return trans('test::condition.options.type');
                },
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'name',
                "element" => 'text',
                "type" => 'text',
                "label" => 'test::condition.label.name',
                "placeholder" => 'test::condition.placeholder.name',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'reference',
                "element" => 'text',
                "type" => 'text',
                "label" => 'test::condition.label.reference',
                "placeholder" => 'test::condition.placeholder.reference',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'timeframe',
                "element" => 'text',
                "type" => 'text',
                "label" => 'test::condition.label.timeframe',
                "placeholder" => 'test::condition.placeholder.timeframe',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'test/condition/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'test/condition/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'test/condition',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'test/condition',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'test/condition',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'test/condition',
                'method' => 'DELETE',
            ],
        ],

        'order' => [
            'created_at' => 'test::condition.label.created_at',
            'name' => 'test::condition.label.name',
            'status' => 'test::condition.label.status',
        ],

        'groups' => [
            [
                'icon' => "mdi:account-supervisor-outline",
                'name' => "test::condition.groups.main",
                'group' => "main.main",
                'title' => "test::condition.groups.main",
            ],
            [
                'icon' => "fe:home",
                'name' => "test::condition.groups.details",
                'group' => "main.details",
                'title' => "test::condition.groups.details",
            ],
            'images' => [
                'icon' => "fe:home",
                'name' => "test::condition.groups.images",
                'group' => "main.images",
                'title' => "test::condition.groups.images",
            ],
            'settings' => [
                'icon' => "fe:home",
                'name' => "test::condition.groups.settings",
                'group' => "main.settings",
                'title' => "test::condition.groups.settings",
            ]
        ],

        'controller' => [
            'provider' => 'Chemtech',
            'package' => 'Test',
            'module' => 'Condition',
        ],

        
        
    ];
