<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateChemtechTestConditionsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: chemtech_test_conditions
         */
        Schema::create('chemtech_test_conditions', function ($table) {
            $table->increments('id');
            $table->integer('user_id')->nullable();
            $table->enum('type', ['Yes', 'No'])->nullable();
            $table->string('name', 50)->nullable();
            $table->string('reference', 100)->nullable();
            $table->string('timeframe', 50)->nullable();
            $table->string('user_type', 50)->nullable();
            $table->text('marking', 200)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('chemtech_test_conditions');
    }
}
