<?php

namespace Chemtech\Test\Seeders;

use Illuminate\Support\Facades\DB;
use Illuminate\Database\Seeder;

class ConditionTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('chemtech_test_conditions')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'chemtech.test.condition.view',
                'name'      => 'View Condition',
            ],
            [
                'slug'      => 'chemtech.test.condition.create',
                'name'      => 'Create Condition',
            ],
            [
                'slug'      => 'chemtech.test.condition.edit',
                'name'      => 'Update Condition',
            ],
            [
                'slug'      => 'chemtech.test.condition.delete',
                'name'      => 'Delete Condition',
            ],
            
            
                    ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/test/condition',
                'name'        => 'Condition',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/test/condition',
                'name'        => 'Condition',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'condition',
                'name'        => 'Condition',
                'description' => null,
                'icon'        => 'las la-scroll,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Test',
                'module'    => 'Condition',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'chemtech.test.condition.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
